Subject: (ngtrans) isatap-04 old issues

From: Pekka Savola <[email-masked]>
Date: Mon, 22 Apr 2002 19:22:54 +0300 (EEST)

Hello,

This message was not replied to or IMO addressed in the new ISATAP draft.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---------- Forwarded message ----------
Date: Fri, 8 Feb 2002 10:39:28 +0200 (EET)
From: Pekka Savola <[email-masked]>
To: Dave Thaler <[email-masked]>
Cc: Fred L. Templin <[email-masked]>, [email-masked],
     [email-masked]
Subject: RE: (ngtrans) I-D ACTION:draft-ietf-ngtrans-isatap-03.txt

On Thu, 7 Feb 2002, Dave Thaler wrote:
> > > 4.1.  ISATAP Interface Identifier Construction
> > > [...]
> > >       0xFF         TSD is interpreted based on TSE as follows:
> > >
> > >                      TSE          TSD Interpretation
> > >                    ---          ------------------
> > >                    0x00-0xFD    RESERVED for future IANA use
> > >                    0xFE         TSD contains 24-bit EUI-48 intf id
> > > [...]
> > > (to the end of section 4.1)
> > >
> > > ==> this seems like a very bad case of overspecification.  _What_
> use is
> > > this, really?  Why would anyone need EUI-48 special case for ISATAP?
> 
> This was discussed at the interim meeting in Seattle.
> As a transition mechanism, ease of debugging and management is
> important.
>
> Using a well known format means that you can pretty-print embedded
> IPv4 addresses, and the usefulness of this should not be underestimated.

I don't understand what you're saying.. could you elaborate?

Note: if EUI48 cruft was removed, one could still pretty-print ISATAP, as
5EFE tells this is an ISATAP address with IPv4 embedded:

3FFE:FFFF:0:0:0:5EFE:0909:0909 as 3FFE:FFFF::5EFE:9.9.9.9

However, I see zero need in supporting "mac-address" based schemes (FF + 
FE) under the ISATAP-reserved OUI, which, as far as I can tell, the EUI48 
is all about?

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: "Fred L. Templin" <[email-masked]>
Date: Tue, 23 Apr 2002 11:41:23 -0700

Pekka,

We are following existing precendence of using the IANA OUI for
automatic mapping of network and link-layer information. It is true
that ISATAP requires only a single fixed "token" in the first four
octets of the interface identifier (in this case '00-00-5E-FE'), but
we believe this should be consistent with future uses of the IANA
OUI for EUI-64 address constructions. Unfortunately, the IANA
registry for ethernet address constructions found at:

   http://www.iana.org/assignments/ethernet-numbers

does not currently specify EUI-64 address construction rules.

Since the IEEE EUI-64 document seems to imply that owners of
OUIs will specify their own EUI-64 construction rules, we believe
the above-named IANA registry should be updated to include a
specification similar to that found in section 4.1 of the ISATAP
draft as we state in section 7 under "IANA Considerations". With
such a specification in the IANA registries, much of the text in
section 4.1 of the ISATAP draft (including the specific text you
mentioned) could be eliminated. But, we would like to see the
IANA registry updated first.

The question is, who do we talk to to make this happen?

Fred
[email-masked]
[email-masked]

> Pekka Savola "Tell me of difficulties surmounted, Netcore Oy not those you stumble over and fall" Systems. Networks. Security. -- Robert Jordan: A Crown of Swords ---------- Forwarded message ---------- Date: Fri, 8 Feb 2002 10:39:28 +0200 (EET) From: Pekka Savola <[email-masked]> To: Dave Thaler <[email-masked]> Cc: Fred L. Templin <[email-masked]>, [email-masked], [email-masked] Subject: RE: (ngtrans) I-D ACTION:draft-ietf-ngtrans-isatap-03.txt On Thu, 7 Feb 2002, Dave Thaler wrote:
> 
> -- Pekka Savola "Tell me of difficulties surmounted, Netcore Oy not those you stumble over and fall" Systems. Networks. Security. -- Robert Jordan: A Crown of Swords

---

From: Pekka Savola <[email-masked]>
Date: Tue, 23 Apr 2002 23:15:56 +0300 (EEST)

> IANA registry updated first.

I don't think ISATAP specification is the right place to discuss these 
issues.  If there is really a need to specify the process how IANA should 
deal with what it has under 00-00-5E.

At least, stuff like this could be moved into an appendix.

> The question is, who do we talk to to make this happen?

Good question.  Perhaps those more versed in the workings of IANA could 
comment.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 24 Apr 2002 09:56:58 +0200

Pekka Savola wrote:
...
> Good question.  Perhaps those more versed in the workings of IANA could

In the first instance, talk to the Area Director. IANA works under the guidance
of the IESG (see RFC 2860, section 4.1). A dedicated RFC would probably be 
needed to tell IANA exactly what to do.

   Brian